require "solicit/version"

module Solicit
  class << self
    mattr_accessor :labels_map,
                   :contributors_map,
                   :slack_webhook_url,
                   :slack_username,
                   :slack_secret,
                   :github_api_token,
                   :github_secret,
                   :needs_more_assignees

    # by default, always display the "I'll do it" button;
    # the main app can define more complicated behaviour here if necessary
    self.needs_more_assignees = proc { true }
    self.labels_map           = { go: "#general" }
    self.slack_username       = "Solicit"
  end

  class Engine < ::Rails::Engine
    isolate_namespace Solicit

    config.before_initialize do
      config.i18n.load_path += Dir["#{config.root}/config/locales/**/*.yml"]
    end
  end
end
